### Enumeration

# PangoTextTransform

since: 1.50

#### Declaration

    enum Pango.TextTransform

#### Description [src]

An enumeration that affects how Pango treats characters during shaping.

Available since: 1.50

#### Members

`PANGO_TEXT_TRANSFORM_NONE`

  Leave text unchanged.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.50
`PANGO_TEXT_TRANSFORM_LOWERCASE`

  Display letters and numbers as lowercase.

  - Value: `1`
  - Nickname: `lowercase`
  - Available since: 1.50
`PANGO_TEXT_TRANSFORM_UPPERCASE`

  Display letters and numbers as uppercase.

  - Value: `2`
  - Nickname: `uppercase`
  - Available since: 1.50
`PANGO_TEXT_TRANSFORM_CAPITALIZE`

  Display the first character of a word in titlecase.

  - Value: `3`
  - Nickname: `capitalize`
  - Available since: 1.50